Package net.md_5.bungee.chat

# Enum ClickEventSerializer.ClickType

java.lang.Object
java.lang.Enum<ClickEventSerializer.ClickType>
net.md_5.bungee.chat.ClickEventSerializer.ClickType

All Implemented Interfaces:
  `Serializable`, `Comparable<ClickEventSerializer.ClickType>`

Enclosing class:
  ClickEventSerializer

public static enum ClickEventSerializer.ClickType extends Enum<ClickEventSerializer.ClickType>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIALOG`
  `NEW`
  `OLD`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ClickEventSerializer.ClickType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ClickEventSerializer.ClickType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### OLD

    public static final ClickEventSerializer.ClickType OLD

  - ### NEW

    public static final ClickEventSerializer.ClickType NEW

  - ### DIALOG

    public static final ClickEventSerializer.ClickType DIALOG

- ## Method Details

  - ### values

    public static ClickEventSerializer.ClickType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ClickEventSerializer.ClickType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null